Package: org.codehaus.groovy.control.messages

## [Java] Class Message

- org.codehaus.groovy.control.messages.Message

-     public abstract class Message
      extends Object

  A base class for compilation messages.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Message` | `create(String text, ProcessingUnit owner)` Creates a new `Message` from the specified text.
    `` | `public static Message` | `create(String text, Object data, ProcessingUnit owner)` Creates a new `Message` from the specified text and data.
    `` | `public static Message` | `create(SyntaxException error, SourceUnit owner)` Creates a new `Message` from the specified `SyntaxException`.
    `` | `public Diagnostic` | `toDiagnostic()` Returns a format-neutral view of this message: its text and, when known, the source and position it applies to.
    `` | `public abstract void` | `write(PrintWriter writer, Janitor janitor)` Writes this message to the specified PrintWriter.
    `` | `public final void` | `write(PrintWriter writer)` Writes this message to the specified PrintWriter.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static Message create(String text, ProcessingUnit owner)

      Creates a new `Message` from the specified text.

    - #### public static Message create(String text, Object data, ProcessingUnit owner)

      Creates a new `Message` from the specified text and data.

    - #### public static Message create(SyntaxException error, SourceUnit owner)

      Creates a new `Message` from the specified `SyntaxException`.

    - #### public Diagnostic toDiagnostic()

      Returns a format-neutral view of this message: its text and, when known, the source and position it applies to. Layouts other than the full one are rendered from this rather than from the message classes (GROOVY-12312).

      The default captures the output of write(PrintWriter) as the text, with no file or position, so that a subclass which does not override this still renders in every format.

      Returns:
        the diagnostic view, never `null`
      Since:
        6.0.0

    - #### public abstract void write(PrintWriter writer, Janitor janitor)

      Writes this message to the specified PrintWriter. This is the full, human-oriented rendering; other layouts are produced by ErrorFormat from toDiagnostic().

    - #### public final void write(PrintWriter writer)

      Writes this message to the specified PrintWriter.